Bug 1480986 - Shouldn't nbd automatically load the kernel module?
Shouldn't nbd automatically load the kernel module?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nbd (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-13 07:07 EDT by Göran Uddeborg
Modified: 2017-10-04 18:22 EDT (History)
5 users (show)

See Also:
Fixed In Version: nbd-3.16.2-1.fc27 nbd-3.16.2-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-30 02:52:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2017-08-13 07:07:12 EDT
Description of problem:
When installing the nbd package, there is nothing that automatically loads the kernel module nbd when using the nbd@.service.  The module is needed for the client side to work.


Version-Release number of selected component (if applicable):
nbd-3.16.1-1.fc26.x86_64


How reproducible:
Every time.


Steps to Reproduce:
1. systemctl start nbd@...


Actual results:
The service fails.


Expected results:
Successfully activation of the device.


Additional info:
I'm not sure if this is intentional or not.  I worked around it by adding a file in /etc/modules-load.d, and then things work fine.  Most services don't need that kind of additional help to work, however, so I felt it could be worth a report.

I can see reasons not to add this to all systems installing nbd.  After all, only the client side needs the module.  Perhaps a ExecStartPre configuration running "modprobe nbd" in the nbd@.service file, or would that be too ugly.

As I said, maybe this is intentional.  Feel free to close immediately with "won't fix" if so.
Comment 1 Robin Lee 2017-09-23 02:55:32 EDT
Forwarded upstream: https://github.com/NetworkBlockDevice/nbd/issues/56
Comment 2 Fedora Update System 2017-09-24 05:38:57 EDT
nbd-3.16.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-be2432ba4e
Comment 3 Fedora Update System 2017-09-24 05:39:14 EDT
nbd-3.16.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3dd9359533
Comment 4 Fedora Update System 2017-09-24 16:53:53 EDT
nbd-3.16.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3dd9359533
Comment 5 Fedora Update System 2017-09-25 02:21:13 EDT
nbd-3.16.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-be2432ba4e
Comment 6 Fedora Update System 2017-09-30 02:52:32 EDT
nbd-3.16.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2017-10-04 18:22:14 EDT
nbd-3.16.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.